// ResistorRead.java
// Turn potentiometers at port AX, AY

import ch.aplu.util.*;
import ch.aplu.ftcontroller.*;

public class ResistorRead implements ResistorListener, Cleanable
{
  private ModelessOptionPane mop = new ModelessOptionPane("");
  private int value1 = 0;
  private int value2 = 0;
  private FtController fc = new FtController();

  public ResistorRead()
  {
    fc.addResistorListener(this, 1, 4);  // jitter = 4
    fc.addResistorListener(this, 2);     // jitter = 0
    mop.showTitle("Turn potentiometers at ports AX/AY");
    mop.addCleanable(this);
  }

  public void resistorChanged(ResistorEvent evt)
  {
    if (evt.getPort() == 1)
      value1 = evt.getValue();
    if (evt.getPort() == 2)
      value2 = evt.getValue();
    mop.setText("Resistance1: " + value1 +
              "\nResistance2: " + value2);
  }

  public void clean()
  {
    fc.exit();
  }

  public static void main(String[] args)
  {
    new ResistorRead();
  }
}
