// RobModeDemo.java
// Hardware setup:
// Motor at port M1, end (limit) switch at I1, step switch at I2

import ch.aplu.ftcontroller.*;
import ch.aplu.util.*;

public class RobModeDemo implements MotorListener, ExitListener
{
    private FtController fc = new FtController();

    public RobModeDemo()
  {
    Motor motor = fc.motor1;
    motor.setSpeed(1);
    fc.addMotorListener(this, motor);
    Console c = Console.init();
    c.addExitListener(this);
    motor.right(30, true);  
    motor.left(40, true);
  }

  public void motorStopped(int motorNb, boolean isEnd)
  {
    System.out.print("Motor " + motorNb + " stopped");
    if (isEnd)
      System.out.println(" (end switch pressed)");
    else
      System.out.println(" (step switch counter reaches zero)");
  }

  public void stepChanged(int motorNb, int step)
  {
    System.out.println("# of steps: " + step);
  }

  public void notifyExit()
  {
    fc.exit();
  }

  public static void main(String[] args)
  {
    new RobModeDemo();
  }
}