// MotorListener.java

/*
This software is part of the Aplu FtController package.
It is Open Source Free Software, so you may
- run the code for any purpose
- study how the code works and adapt it to your needs
- integrate all or parts of the code in your own programs
- redistribute copies of the code
- improve the code and release your improvements to the public
However the use of the code is entirely your responsibility.
 */

package ch.aplu.ftcontroller;

/**
 * Declarations of notification methods.
*/
public interface MotorListener
{
   /**
   * Notification when the step counter changes its value.
   * @param motorNb the motor number.
   * @param step the current value of the step counter
   */
  public void stepChanged(int motorNb, int step);
    
  
  /**
   * Notification when the motor stops in RobMode.
   * The stop notification with isEnd = true will only be called,
   * if the end switch is pressed longer than the pooling period
   * of the native thread.
   * @param motorNb the motor number.
   * @param isEnd true, if the motor stopped because the end switch is pressed; 
   * false, if it stopped because the step switch counter reaches zero
   */
  public void motorStopped(int motorNb, boolean isEnd);
}
